<p-card styleClass="category-card">

    <div class="category-card-header" >
        <div class="category-card-header-fog">
            <div class="p-grid p-nogutter p-align-center">
                <div class="p-col-10 p-xl-9" [style]="{ 'padding': '0 8px' }">
                    <a *ngIf="toggleable" class="category-name-link"
                       [routerLink]="['/categories/category', category.slug]">
                        <em class="pi pi-star-o" style="padding: 0 0.5rem;"
                            *ngIf="category.pinned"></em>
                        <em class="pi pi-folder" style="padding: 0 0.5rem;"
                            *ngIf="!category.pinned"></em>
                        {{ category?.name }}
                    </a>
                    <span *ngIf="!toggleable" class="category-name">
                                <em class="pi pi-star-o" style="padding: 0 0.5rem;"
                                    *ngIf="category.pinned"></em>
                                <em class="pi pi-folder" style="padding: 0 0.5rem;"
                                    *ngIf="!category.pinned"></em>
                        {{ category?.name }}
                            </span>
                </div>
                <div class="p-col-2 p-xl-3 text-right" *ngIf="toggleable"
                     [style]="{ 'padding': '4px 8px 0 8px' }">
                    <span *ngIf="forums.length < total" >
                        {{ forums.length }} {{ lang.getOf() }} {{ total }}
                    </span>
                    <em class="pi action-toggle-category"
                        (click)="showContent = !showContent"
                        [ngClass]="{'pi-minus-circle': showContent, 'pi-plus-circle': !showContent}"></em>
                </div>

                <div class="p-col-12 p-xl-3 p-align-center"
                     [style]="{ 'padding': '0 8px'}">
                    <div class="p-grid p-nogutter p-align-center p-justify-end">
                        <div class="p-col-12 p-xl-6 "
                             *ngIf="!toggleable && canCreateForum()">
                            <button pButton type="button" [label]="lang.getCreateForum()"
                                    class="p-button-secondary p-button-raised"
                                    (click)="createForum.showCreateForumModal(category)"></button>
                        </div>
                        <div class="p-col-12 p-xl-2 text-center"
                             *ngIf="!toggleable && canDeleteCategory()">
                            <button pButton type="button" icon="pi pi-trash"
                                    class="p-button-secondary p-button-raised"
                                    (click)="deleteCategory()"
                                    tooltipPosition="top" [pTooltip]="lang.getDeleteCategory()"></button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="p-grid" *ngIf="loadingCategory">
        <div class="p-col-12 text-center" [style]="{padding: '6rem 0'}">
            <p-progressSpinner [style]="{width: '4rem', height: '4rem'}"></p-progressSpinner>
            <div>
                {{ lang.getLoading() }} {{ lang.getCategory().toLowerCase() }}...
            </div>
        </div>
    </div>
    <div class="p-grid p-align-center" [style]="{ padding: '1rem' }"
         *ngIf="!loadingCategory && showContent &&
                        (!category || !forums || forums.length === 0)">
        <div class="p-col-12">
            <h3>{{ lang.getEmptyForums() }}</h3>
        </div>
    </div>

    <div *ngIf="!loadingCategory && showContent">
        <div *ngFor="let forum of forums" class="forum-container">
            <div class="p-grid p-nogutter p-align-center">
                <div class="p-col-12 p-xl-6">
                    <a [routerLink]="['/forums/forum', forum?.slug]">
                        <div class="forum-name">
                            <em class="pi pi-lock" *ngIf="forum.locked"
                                tooltipPosition="top"
                                [pTooltip]="lang.getLocked()"></em>
                            <em class="pi pi-lock-open" *ngIf="!forum.locked"
                                tooltipPosition="top"
                                [pTooltip]="lang.getUnlocked()"></em>
                            {{ forum?.name }}
                        </div>
                        <div class="forum-author">
                            {{ forum?.description }}
                        </div>
                    </a>
                </div>
                <div class="p-col-12 p-xl-2 text-right">
                    <div class="total-replies">{{ forum?.totalTopics }} {{ lang.getTopics() }}</div>
                    <div class="total-views">{{ forum?.totalViews }} {{lang.getViews()}}</div>
                </div>
                <div class="p-col-12 p-xl-4">
                    <div class="p-grid p-align-center">
                        <div class="p-col-fixed text-center"
                             [style]="{ width: '4rem', height: '4rem', padding: '0.6rem 0' }">
                            <img [src]="trustImage(forum?.user?.profilePicture)"
                                 [style]="{ width: '3rem', height: '3rem' }">
                        </div>
                        <div class="p-col">
                            <div class="forum-name-small">{{ forum?.name }}</div>
                            <div class="forum-author-small">
                                {{ lang.getBy() }} {{ forum?.user?.name }},
                                {{ forum?.createDate | date: lang.getDateFormat() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="p-grid p-nogutter" *ngIf="!toggleable && forums && forums.length > 0">
        <div class="p-col-12">
            <p-paginator [rows]="rows" [totalRecords]="total"
                    (onPageChange)="paginator($event)"></p-paginator>
        </div>
        <div class="p-col-12 text-center"
             [style]="{ padding: '.5rem' }">
            {{ lang.getTotal() + ' ' + lang.getOf() + ' ' + lang.getForums() }}:
            {{ total }}
        </div>
    </div>

</p-card>

<app-create-forum
    #createForum
    (forumCreated)="forumCreated($event)">
</app-create-forum>

